Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin
Class DelegatedAdminSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.p13n.exceptions.SystemException
                              |
                              +--com.bea.portal.admin.DelegatedAdminSecurityException

All Implemented Interfaces:
  Serializable

public class DelegatedAdminSecurityException
extends SystemException

SecurityException thrown by the DelegatedAdminManager EJB

See Also:
  `SystemException`, Serialized Form

Constructor Summary
`DelegatedAdminSecurityException(String username, String resource)` Constructor
`DelegatedAdminSecurityException(String message, String username, String resource)` Constructor
`DelegatedAdminSecurityException(String message, Throwable t, String username, String resource)` Constructor
`DelegatedAdminSecurityException(Throwable t, String username, String resource)` Constructor

Method Summary
`String` | `getResource()`
`String` | `getUsername()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(String username,
                                           String resource)

  Constructor

Parameters:
  `username` - the user trying to access the resource
  `resource` - the resource

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(String message,
                                           String username,
                                           String resource)

  Constructor

Parameters:
  `message` - String representing the Exception message
  `username` - the user trying to access the resource
  `resource` - the resource

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(String message,
                                           Throwable t,
                                           String username,
                                           String resource)

  Constructor

Parameters:
  `message` - String representing the Exception message
  `t` - Throwable object representing the wrapped or chained exception
  `username` - the user trying to access the resource
  `resource` - the resource

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(Throwable t,
                                           String username,
                                           String resource)

  Constructor

Parameters:
  `t` - Throwable object representing the wrapped or chained exception
  `username` - the user trying to access the resource
  `resource` - the resource

Method Detail

### getUsername

    public String getUsername()

  Returns:
    username

### getResource

    public String getResource()

  Returns:
    resource

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved